const tsxCode = `function Logo(props: { alt: string; width?: number; height?: number }) {
    const image = useColorModeValue(redpandaColor, redpandaWhite);
  
    return (
      <img src={image} alt={props.alt || 'Redpanda logo'} width={props.width} height={props.height} />
    );
}`;
const bashCode = `# Create and enter the project folder
mkdir redpanda-python; cd redpanda-python
# Create virtual environment
python3 -m venv .env
source .env/bin/activate
# Install dependencies
(.env) pip install kafka-python`;
const goCode = `seeds := []string{"localhost:9092"}
// One client can both produce and consume!
// Consuming can either be direct (no consumer group), or through a group. Below, we use a group.
cl, err := kgo.NewClient(
	kgo.SeedBrokers(seeds...),
	kgo.ConsumerGroup("my-group-identifier"),
	kgo.ConsumeTopics("foo"),
)`;
const javaCode = `Properties config = new Properties();
config.put("client.id", InetAddress.getLocalHost().getHostName());
config.put("bootstrap.servers", "host1:9092,host2:9092");
config.put("acks", "all");
new KafkaProducer<K, V>(config);`;
const pythonCode = `from kafka import KafkaConsumer

# To consume latest messages and auto-commit offsets
consumer = KafkaConsumer('my-topic',
                         group_id='my-group',
                         bootstrap_servers=['localhost:9092'])
for message in consumer:
    print ("%s:%d:%d: key=%s value=%s" % (message.topic, message.partition,
                                          message.offset, message.key,
                                          message.value))`;
const javascriptCode = `const {Kafka} = require("kafkajs")

const redpanda = new Kafka({brokers: ["localhost:9092"]})
const admin = redpanda.admin()`;
const typescriptCode = `import { Kafka } from 'kafkajs';

const redpanda = new Kafka({brokers: ["localhost:9092"]})
const admin: Admin = redpanda.admin()`;
const protobufCode = `message Customer {
  enum CustomerType {
    CUSTOMER_TYPE_UNSPECIFIED = 0;
    CUSTOMER_TYPE_PERSONAL = 1;
    CUTOMER_TYPE_BUSINESS = 2;
  }

  int32 version = 1;
  string id = 2;
  string first_name = 3;
  string last_name = 4;
  string gender = 5;
  string company_name = 6;
  string email = 7;
  .shop.v1.Customer.CustomerType customer_type = 8;
  int32 revision = 9;
}`;
const jsonCode = `{
  someKey: 'someValue',
  otherKey: true,
  anotherKey: 123,
}`;
const bashSnippet = `
\`\`\`bash
${bashCode}
\`\`\`
`;
const mdxSnippet = `A paragraph with *emphasis* and **strong importance**.

# Heading h1
## Heading h2
### Heading h3
#### Heading h4
##### Heading h5
###### Text h6

1. ordered item #1
2. ordered item #2

* unordered item #1
* unordered item #2

Break hr
***

*emphasis*

> A block quote with ~strikethrough~ and a URL: https://reactjs.org.

link [MDX](https://mdxjs.com "title")

* Lists
* [ ] todo
* [x] done

A table:

| a | b |
| - | - |

${bashSnippet}
`;
const goSnippet = `
\`\`\`go
${goCode}
\`\`\`
`;
const javaSnippet = `
\`\`\`java
${javaCode}
\`\`\`
`;
const pythonSnippet = `
\`\`\`python
${pythonCode}
\`\`\`
`;
const javascriptSnippet = `
\`\`\`javascript
${javascriptCode}
\`\`\`
`;
const typescriptSnippet = `
\`\`\`typescript
${typescriptCode}
\`\`\`
`;
export { bashCode, bashSnippet, goCode, goSnippet, javaCode, javaSnippet, javascriptCode, javascriptSnippet, jsonCode, mdxSnippet, protobufCode, pythonCode, pythonSnippet, tsxCode, typescriptCode, typescriptSnippet };
